:root {}

/* & I advise that you use comments for grouping, like I've done below! */
/* * Fonts */

@font-face {
  font-family: rainyhearts;
  src: url('/fonts/rainyhearts.ttf');
}

@font-face {
  font-family: basiic;
  src: url('/fonts/basiic.ttf');
}

@font-face {
  font-family: porkys;
  src: url('/fonts/PORKYS.ttf');
}

@font-face {
  font-family: kinkee;
  src: url('/fonts/KINKIE.ttf');
}

@font-face {
  font-family: pixelscript;
  src: url('/fonts/PixelScript.otf');
}

/* * Main Containers */

body {
  background-color: white;
  color: black;
  font-family: rainyhearts;
  background-image: url('/assets/bg/pastelgoth.jpg');

  overflow-x: hidden;
}

.wrapper {
  margin: 0 auto;
  width: 93vw;
  height: 95vh;
  margin-top: 50px;

  display: flex;
  gap: 20px;
}


main {
  flex: 1 1;
}

aside {
  flex: 0 1 20%;
}

section {
  border: 5px ridge cyan;
}

section .header {
  padding: 10px;
  background: black;
  color: white;
  border-bottom: 5px ridge cyan;
}

section .content {
  background-color: rgba(151, 128, 255, 0.753);

  

  padding: 10px;
}


/* * Nav */

nav {
  position: fixed;
  left: -230px;
  top: 0;
  z-index: 20;

  width: 230px;
  height: 100%;
  box-shadow: 2px 2px 3px 3px cyan;
  box-sizing: border-box;
  padding: 20px 30px;
  background: url(/assets/bg/Olk7KV9.gif) black;

}

nav .menu a {
  display: block;
  margin-bottom: 10px;
  font-size: 1.2rem;
  text-decoration: none;
  font-weight: bold;
  color: white;
  -webkit-text-stroke-width: 2px;
  -webkit-text-stroke-color: #8a77a9;
  font-family: porkys;
  padding: 10px;
  text-align: center;
  background-image: url('/assets/bg/heartgrid.gif');
  border-radius: 30px;
  border: 3px dashed #f6a0ff;
}

.menu {
  width: 100%;
}

.close-icon {
  position: absolute;
  right: 15px;
  top: 23px;
  text-decoration: none;
  font-size: 1.4rem;
  color: white;
}

.open-icon {
  position: fixed;
  left: 5px;
  top: 25px;
  text-decoration: none;
  padding: 10px 5px;
  box-shadow: 1px 1px 1px 1px white;
  background-color: black;
}

.hide {
  transition: left 0.8s linear;
  left: -230px;
}

.show {
  transition: left 0.8s linear;
  left: 0px;
}

/* * Helper classes  */

/* ? Center an image */
.blockimages {
  display: block;
  margin: 0 auto;
}

/* ? For images that are next to text */
.inlineimages {
  display: inline;
  width: inherit;

  filter: drop-shadow(0 1px 0px white) drop-shadow(0 -1px 0px white);
}

/* * Decorations  */

.sweetsdivider {
  background-image: url(/assets/pixels/sweetsdivider.webp);
  background-size: auto;
  background-repeat: repeat-x;
  width: 100%;
  height: 34px;
  margin-bottom: 10px;
}

.rainbowdivider {
  background-image: url(/assets/pixels/rainbowdivider.webp);
  background-size: auto;
  background-repeat: repeat-x;
  width: 100%;
  height: 34px;
  margin-top: 10px;
}

.trimt {
  background-image: url('/assets/borders/trimt.gif');
  position: fixed;
  z-index: 10;
  width: 1920px;
  height: 33px;
  top: -5px;
}

.trimb {
  background-image: url('/assets/borders/trimb.gif');
  position: fixed;
  z-index: 10;
  width: 1920px;
  height: 33px;
  bottom: -5px;
}

.marquee {
  position: absolute;
  top: 25px;
  left: 30px;

  display: flex;
  overflow: hidden;
  white-space: nowrap;
}

.marqueeItem {
  display: flex;

  animation-duration: 20s;
  animation-iteration-count: infinite;
  animation-name: marquee-content;
  animation-timing-function: linear;
}

.marquee:hover .marqueeItem {
  animation-play-state: paused;
}


@keyframes marquee-content {
  from {
    transform: translateX(0%);
  }

  to {
    transform: translateX(-100%);
  }
}

/* * General Styles */

h1,
h2,
h3,
h4 {
  font-family: kinkee;
}